Hello. When I run TF2 I get the following error:

Could not find required OpenGL entry point 'glGetError'! Either your video card is unsupported, or your OpenGL driver needs to be updated.

I have an AMD Radeon graphics card. I know my graphics card is supported, as my laptop is quite new, and I have played TF2 before on it, but not on this OS, (OpenSUSE 13.1), so it is a driver problem. I cannot find a link to download OpenGL AMD drivers anywhere on their site, but there was a link here. c: Sorry if something in here was incredibly n00bish. Thanks.